.newsletter-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  width: 100%;
  font-family: "Roboto";
  font-style: normal;
}

.newsletter-img {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 12px;
  padding: 0 12px;
}

.newsletter-text {
  padding: 18px 0 6px;
  text-align: center;
}

.newsletter-text > span {
  font-weight: 500;
  font-size: 18px;
  line-height: 21px;
  letter-spacing: 0.05em;
  font-variant: small-caps;
  color: #303030;
}
.newsletter-form {
  display: flex;
  flex-direction: row;
  gap: 8px;
  align-items: center;
  justify-content: center;
}
.form-col {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
}
.form-col input {
  box-sizing: border-box;

  width: 342px;
  height: 42px;
  border: 1px solid #e5e5e5;
  border-radius: 4px;

  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #100d0e;
  padding: 0 16px 12px;
  font-family: "Roboto";
  padding: 0 16px;
}

.newsletter_button {
  width: 126px;
  height: 42px;
  background: #00c8ff;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: 4px;
  border: none;
  cursor: pointer;

  font-weight: 700;
  font-size: 12px;
  line-height: 14px;
  letter-spacing: 0.05em;
  color: #ffffff;

  text-align: center;
}

.form-col span {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 23px;

  text-decoration-line: underline;
}

.form-col span {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 23px;

  text-decoration-line: underline;
}

.form-invalid {
  color: rgb(241, 9, 9);
  display: flex;
  align-items: center;
  padding-right: 10px;
}
/*Responsividade*/

@media screen and (max-width: 628px) {
  .newsletter-text {
    padding: 18px 25px 6px;
    text-align: initial;
  }
  .newsletter-text span {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
  }

  .newsletter-form {
    padding: 0 24px;
    gap: 16px;
    flex-direction: column;
  }
  .form-col {
    flex-direction: column;
    width: 100%;
  }

  .form-col input {
    width: 100%;
  }
  .newsletter_button {
    width: 100%;
  }
}
